Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.service.binding
Interface BindingProvider

All Known Implementing Classes:
  AegisBindingProvider, MessageBindingProvider

    public interface BindingProvider

A BindingProvider provides the ability to map XML and java objects. This can come in the form of simple POJOs or a DOM tree. To use one must just implement the interface and provide it to the `ObjectServiceFactory`.

Author:
  Dan Diephouse

Method Summary
`javax.xml.namespace.QName` | `getSuggestedName(Service service, OperationInfo op, int param)` Gives a binding the chance to suggest a name for a particular parameter.
`void` | `initialize(Service newParam)`
`java.lang.Object` | `readHeader(MessageHeaderInfo p, MessageContext context)`
`java.lang.Object` | `readParameter(MessagePartInfo p, javax.xml.stream.XMLStreamReader reader, MessageContext context)`
`void` | `writeHeader(MessagePartInfo p, MessageContext context, java.lang.Object value)`
`void` | `writeParameter(MessagePartInfo p, javax.xml.stream.XMLStreamWriter writer, MessageContext context, java.lang.Object value)`

Method Detail

### initialize

    void initialize(Service newParam)

### getSuggestedName

    javax.xml.namespace.QName getSuggestedName(Service service,
                                               OperationInfo op,
                                               int param)

  Gives a binding the chance to suggest a name for a particular parameter.

  Parameters:
    `m` - The method of the parameter.
    `param` - The index of the parameter. -1 specifies the return parameter.
  Returns:
    The suggestion. null if there isn't a suggestion.

### readParameter

    java.lang.Object readParameter(MessagePartInfo p,
                                   javax.xml.stream.XMLStreamReader reader,
                                   MessageContext context)
                                   throws XFireFault

  Throws:
    `XFireFault`

### writeParameter

    void writeParameter(MessagePartInfo p,
                        javax.xml.stream.XMLStreamWriter writer,
                        MessageContext context,
                        java.lang.Object value)
                        throws XFireFault

  Throws:
    `XFireFault`

### readHeader

    java.lang.Object readHeader(MessageHeaderInfo p,
                                MessageContext context)
                                throws XFireFault

  Throws:
    `XFireFault`

### writeHeader

    void writeHeader(MessagePartInfo p,
                     MessageContext context,
                     java.lang.Object value)
                     throws XFireFault

  Throws:
    `XFireFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.